Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class MathRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.math.MathRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidMatrixException, MatrixIndexException, MatrixVisitorException

    public class MathRuntimeException

extends java.lang.RuntimeException

Base class for commons-math unchecked exceptions.

Since:
  2.0
Version:
  $Revision: 822850 $ $Date: 2009-10-07 14:56:42 -0400 (Wed, 07 Oct 2009) $
See Also:
  Serialized Form

Field Summary
`private java.lang.Object[]` | `arguments` Arguments used to build the message.
`private java.lang.String` | `pattern` Pattern used to build the message.
`private static long` | `serialVersionUID` Serializable version identifier.

Constructor Summary
`MathRuntimeException(java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `MathRuntimeException` with specified formatted detail message.
`MathRuntimeException(java.lang.Throwable rootCause)` Constructs a new `MathRuntimeException` with specified nested `Throwable` root cause.
`MathRuntimeException(java.lang.Throwable rootCause, java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `MathRuntimeException` with specified formatted detail message and nested `Throwable` root cause.

Method Summary
`private static java.lang.String` | `buildMessage(java.util.Locale locale, java.lang.String pattern, java.lang.Object... arguments)` Builds a message string by from a pattern and its arguments.
`static java.lang.ArithmeticException` | `createArithmeticException(java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `ArithmeticException` with specified formatted detail message.
`static java.lang.ArrayIndexOutOfBoundsException` | `createArrayIndexOutOfBoundsException(java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `ArrayIndexOutOfBoundsException` with specified formatted detail message.
`static java.util.ConcurrentModificationException` | `createConcurrentModificationException(java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `ConcurrentModificationException` with specified formatted detail message.
`static java.io.EOFException` | `createEOFException(java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `EOFException` with specified formatted detail message.
`static java.lang.IllegalArgumentException` | `createIllegalArgumentException(java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `IllegalArgumentException` with specified formatted detail message.
`static java.lang.IllegalArgumentException` | `createIllegalArgumentException(java.lang.Throwable rootCause)` Constructs a new `IllegalArgumentException` with specified nested `Throwable` root cause.
`static java.lang.IllegalStateException` | `createIllegalStateException(java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `IllegalStateException` with specified formatted detail message.
`static java.lang.RuntimeException` | `createInternalError(java.lang.Throwable cause)` Create an `RuntimeException` for an internal error.
`static java.io.IOException` | `createIOException(java.lang.Throwable rootCause)` Constructs a new `IOException` with specified nested `Throwable` root cause.
`static java.util.NoSuchElementException` | `createNoSuchElementException(java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `NoSuchElementException` with specified formatted detail message.
`static java.lang.NullPointerException` | `createNullPointerException(java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `NullPointerException` with specified formatted detail message.
`static java.text.ParseException` | `createParseException(int offset, java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `ParseException` with specified formatted detail message.
`java.lang.Object[]` | `getArguments()` Gets the arguments used to build the message of this throwable.
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getMessage(java.util.Locale locale)` Gets the message in a specified locale.
`java.lang.String` | `getPattern()` Gets the pattern used to build the message of this throwable.
`void` | `printStackTrace()` Prints the stack trace of this exception to the standard error stream.
`void` | `printStackTrace(java.io.PrintStream out)` Prints the stack trace of this exception to the specified stream.
`private static java.lang.String` | `translate(java.lang.String s, java.util.Locale locale)` Translate a string to a given locale.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

### pattern

    private final java.lang.String pattern

  Pattern used to build the message.

### arguments

    private final java.lang.Object[] arguments

  Arguments used to build the message.

Constructor Detail

### MathRuntimeException

    public MathRuntimeException(java.lang.String pattern,
                                java.lang.Object... arguments)

  Constructs a new `MathRuntimeException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments

### MathRuntimeException

    public MathRuntimeException(java.lang.Throwable rootCause)

  Constructs a new `MathRuntimeException` with specified nested `Throwable` root cause.

  Parameters:
    `rootCause` - the exception or error that caused this exception to be thrown.

### MathRuntimeException

    public MathRuntimeException(java.lang.Throwable rootCause,
                                java.lang.String pattern,
                                java.lang.Object... arguments)

  Constructs a new `MathRuntimeException` with specified formatted detail message and nested `Throwable` root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `rootCause` - the exception or error that caused this exception to be thrown.
    `pattern` - format specifier
    `arguments` - format arguments

Method Detail

### translate

    private static java.lang.String translate(java.lang.String s,
                                              java.util.Locale locale)

  Translate a string to a given locale.

  Parameters:
    `s` - string to translate
    `locale` - locale into which to translate the string
  Returns:
    translated string or original string for unsupported locales or unknown strings

### buildMessage

    private static java.lang.String buildMessage(java.util.Locale locale,
                                                 java.lang.String pattern,
                                                 java.lang.Object... arguments)

  Builds a message string by from a pattern and its arguments.

  Parameters:
    `locale` - Locale in which the message should be translated
    `pattern` - format specifier
    `arguments` - format arguments
  Returns:
    a message string

### getPattern

    public java.lang.String getPattern()

  Gets the pattern used to build the message of this throwable.

  Returns:
    the pattern used to build the message of this throwable

### getArguments

    public java.lang.Object[] getArguments()

  Gets the arguments used to build the message of this throwable.

  Returns:
    the arguments used to build the message of this throwable

### getMessage

    public java.lang.String getMessage(java.util.Locale locale)

  Gets the message in a specified locale.

  Parameters:
    `locale` - Locale in which the message should be translated
  Returns:
    localized message

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of this exception to the standard error stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream out)

  Prints the stack trace of this exception to the specified stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `out` - the `PrintStream` to use for output

### createArithmeticException

    public static java.lang.ArithmeticException createArithmeticException(java.lang.String pattern,
                                                                          java.lang.Object... arguments)

  Constructs a new `ArithmeticException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Returns:
    built exception

### createArrayIndexOutOfBoundsException

    public static java.lang.ArrayIndexOutOfBoundsException createArrayIndexOutOfBoundsException(java.lang.String pattern,
                                                                                                java.lang.Object... arguments)

  Constructs a new `ArrayIndexOutOfBoundsException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Returns:
    built exception

### createEOFException

    public static java.io.EOFException createEOFException(java.lang.String pattern,
                                                          java.lang.Object... arguments)

  Constructs a new `EOFException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Returns:
    built exception

### createIOException

    public static java.io.IOException createIOException(java.lang.Throwable rootCause)

  Constructs a new `IOException` with specified nested `Throwable` root cause.

  This factory method allows chaining of other exceptions within an `IOException` even for Java 5. The constructor for `IOException` with a cause parameter was introduced only with Java 6.

  Parameters:
    `rootCause` - the exception or error that caused this exception to be thrown.
  Returns:
    built exception

### createIllegalArgumentException

    public static java.lang.IllegalArgumentException createIllegalArgumentException(java.lang.String pattern,
                                                                                    java.lang.Object... arguments)

  Constructs a new `IllegalArgumentException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Returns:
    built exception

### createIllegalArgumentException

    public static java.lang.IllegalArgumentException createIllegalArgumentException(java.lang.Throwable rootCause)

  Constructs a new `IllegalArgumentException` with specified nested `Throwable` root cause.

  Parameters:
    `rootCause` - the exception or error that caused this exception to be thrown.
  Returns:
    built exception

### createIllegalStateException

    public static java.lang.IllegalStateException createIllegalStateException(java.lang.String pattern,
                                                                              java.lang.Object... arguments)

  Constructs a new `IllegalStateException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Returns:
    built exception

### createConcurrentModificationException

    public static java.util.ConcurrentModificationException createConcurrentModificationException(java.lang.String pattern,
                                                                                                  java.lang.Object... arguments)

  Constructs a new `ConcurrentModificationException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Returns:
    built exception

### createNoSuchElementException

    public static java.util.NoSuchElementException createNoSuchElementException(java.lang.String pattern,
                                                                                java.lang.Object... arguments)

  Constructs a new `NoSuchElementException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Returns:
    built exception

### createNullPointerException

    public static java.lang.NullPointerException createNullPointerException(java.lang.String pattern,
                                                                            java.lang.Object... arguments)

  Constructs a new `NullPointerException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Returns:
    built exception

### createParseException

    public static java.text.ParseException createParseException(int offset,
                                                                java.lang.String pattern,
                                                                java.lang.Object... arguments)

  Constructs a new `ParseException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `offset` - offset at which error occurred
    `pattern` - format specifier
    `arguments` - format arguments
  Returns:
    built exception

### createInternalError

    public static java.lang.RuntimeException createInternalError(java.lang.Throwable cause)

  Create an `RuntimeException` for an internal error.

  Parameters:
    `cause` - underlying cause
  Returns:
    an `RuntimeException` for an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation